Name: x11-driver-video-glint
Version: 1.2.8
Release: %mkrel 6
Summary: X.org driver for 3DLabs Permedia
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-glint-%{version}.tar.bz2
Patch0: 0001-Remove-mibstore.h.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

BuildRequires: GL-devel
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-glint is the X.org driver for 3DLabs Permedia.

%prep
%setup -q -n xf86-video-glint-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/glint_drv.la
%{_libdir}/xorg/modules/drivers/glint_drv.so
%{_mandir}/man4/glint.*




%changelog
* Fri Dec 06 2013 tmb <tmb> 1.2.8-6.mga4
+ Revision: 555599
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.2.8-5.mga4
+ Revision: 525362
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.8-4.mga4
+ Revision: 433103
- submit to core/release

* Fri May 24 2013 tv <tv> 1.2.8-3.mga4
+ Revision: 426067
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.2.8-3.mga3
+ Revision: 385983
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.8-2.mga3.nonfree
+ Revision: 288932
- rebuild for new xserver

* Sat Jul 28 2012 tv <tv> 1.2.8-1.mga3
+ Revision: 275339
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.7-4.mga3
+ Revision: 256389
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.7-3.mga3
+ Revision: 252964
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.7-2.mga3
+ Revision: 250249
- rebuild for new X.org server

* Thu Feb 16 2012 tv <tv> 1.2.7-1.mga2
+ Revision: 209851
- new release

* Tue Dec 06 2011 tmb <tmb> 1.2.6-4.mga2
+ Revision: 177442
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.6-3.mga2
+ Revision: 153301
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 1.2.6-2.mga2
+ Revision: 153037
- Rebuild for new x11-server

* Fri Sep 09 2011 tv <tv> 1.2.6-1.mga2
+ Revision: 141818
- new release

* Fri Mar 04 2011 tv <tv> 1.2.5-4.mga1
+ Revision: 64395
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.5-3.mga1
+ Revision: 50214
- imported package x11-driver-video-glint


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.5-3mdv2011.0
+ Revision: 595741
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.5-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Sun Sep 12 2010 Thierry Vignaud <tv@mandriva.org> 1.2.5-1mdv2011.0
+ Revision: 577826
- new release

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.2.4-1mdv2010.0
+ Revision: 407745
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.3-1mdv2010.0
+ Revision: 391863
- update to version 1.2.3

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.2-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.2-1mdv2009.1
+ Revision: 317847
- New version 1.2.2

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 308167
- rebuild for new X server
- new release 1.2.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265920
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194207
- Update to version 1.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-7mdv2008.1
+ Revision: 165554
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-6mdv2008.1
+ Revision: 156605
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-5mdv2008.1
+ Revision: 154859
- Updated BuildRequires and resubmit package.
- Modify glint driver to match pattern used in all other xorg driver modules.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 98692
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdv2008.0
+ Revision: 75759
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

